Loading...
Searching...
No Matches
Magick::DrawableStrokeAntialias Class Reference
Inheritance diagram for Magick::DrawableStrokeAntialias:

## Public Member Functions

| DrawableStrokeAntialias (bool flag_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | flag (bool flag_)
bool | flag (void) const

## Private Attributes

bool | _flag

## Detailed Description

Definition at line 1883 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableStrokeAntialias()

Magick::DrawableStrokeAntialias::DrawableStrokeAntialias | ( | bool | flag_ | ) |

inline

Definition at line 1886 of file Drawable.h.

: _flag(flag_)
{ }

## ~DrawableStrokeAntialias()

Magick::DrawableStrokeAntialias::~DrawableStrokeAntialias | ( | void |  | ) |

Definition at line 1367 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableStrokeAntialias::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1376 of file Drawable.cpp.

{
return new DrawableStrokeAntialias(*this);
}

## flag() [1/2]

void Magick::DrawableStrokeAntialias::flag | ( | bool | flag_ | ) |

inline

Definition at line 1898 of file Drawable.h.

{
_flag = flag_;
}

## flag() [2/2]

bool Magick::DrawableStrokeAntialias::flag | ( | void |  | ) | const

inline

Definition at line 1902 of file Drawable.h.

{
return _flag;
}

## operator()()

void Magick::DrawableStrokeAntialias::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1370 of file Drawable.cpp.

{
DrawSetStrokeAntialias( context_, static_cast<MagickBooleanType>
(_flag ? MagickTrue : MagickFalse) );
}

## Field Documentation

## _flag

bool Magick::DrawableStrokeAntialias::_flag

private

Definition at line 1908 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp